Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface MaskBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGMaskElementBridge

public interface MaskBridge
extends Bridge

Factory class for vending `Mask` objects.

Method Summary
`Mask` | `createMask(BridgeContext ctx, org.w3c.dom.Element maskElement, org.w3c.dom.Element maskedElement, GraphicsNode maskedNode)` Creates a `Mask` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createMask

    public Mask createMask(BridgeContext ctx,
                           org.w3c.dom.Element maskElement,
                           org.w3c.dom.Element maskedElement,
                           GraphicsNode maskedNode)

  Creates a `Mask` according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `maskElement` - the element that defines the mask
    `maskedElement` - the element that references the mask element
    `maskedNode` - the graphics node to mask

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.